# $Revision: 1.17 $, $Date: 2005/01/29 20:52:19 $
Summary:	A heuristic autodialer for PPP connections
Summary(pl):	Heurystyczny "autowydzwaniacz" dla pocze PPP
Name:		wvdial
Version:	1.54.0
Release:	1
License:	LGPL
Group:		Networking/Daemons
Source0:	http://open.nit.ca/download/%{name}-%{version}.tar.gz
# Source0-md5:	8648c044305fc66ee33ecc55d36f8c8b
URL:		http://open.nit.ca/wvdial/
BuildRequires:	libstdc++-devel
BuildRequires:	wvstreams-devel
Requires:	ppp >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WvDial automatically locates and configures modems and can log into
almost any ISP's server without special configuration. You need to
input the username, password, and phone number, and then WvDial will
negotiate the PPP connection using any mechanism needed.

Install wvdial if you need a utility to configure your modem and set
up a PPP connection.

%description -l pl
WvDial automatycznie wyszukuje i konfiguruje modem, i moe sie
zalogowa do praktycznie kadego serwera dostawcy usug internetowych
(ISP). Potrzebujesz poda nazw uytkownika, haso i numer telefonu, a
WvDial wynegocjuje poczenie PPP uywajc potrzebnych mechanizmw.

%prep
%setup -q

%build
%{__make} \
	CXX="%{__cxx}" \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	COPTS="%{rpmcflags}" \
	CXXOPTS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates" \
	LDOPTS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	PPPDIR=$RPM_BUILD_ROOT%{_sysconfdir}/ppp/peers

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES FAQ TODO MENUS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%config %{_sysconfdir}/ppp/peers/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wvdial.spec,v $
Revision 1.17  2005/01/29 20:52:19  areq
- 1.54.0

Revision 1.16  2004/04/26 19:22:09  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.15  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.14  2003/05/28 13:02:58  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/08/24 17:06:24  misiek
- updated to 1.53; used in new rc-scripts

Revision 1.11  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/24 10:44:47  filon
- added g++3 patch to build with gcc3
- release 2

Revision 1.9  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/06/29 05:49:40  kloczek
- updated to 1.42.

Revision 1.7  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/15 07:18:54  zagrodzki
- fixed (?) file attributes

Revision 1.4  2000/05/15 06:45:04  kloczek
- added "BuildRequires: libstdc++-devel".

Revision 1.3  2000/05/14 21:01:55  zagrodzki
- release ++
- added some docs
- gzipping docs and man pages
- COPTS, CXXOPTS, LDOPTS
- some errors in source fixed
- changed default compilation options in rules.mk

Revision 1.2  2000/05/14 20:37:44  kloczek
- more adapterizaion,
- use only "rm -rf $RPM_BUILD_ROOT" for clean $RPM_BUILD_ROOT.

Revision 1.1  2000/05/13 21:58:26  zagrodzki
- initial release (spec from rawhide)
- adapterized
- polish summary/description

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- sync up to copy in rp3's CVS repository for consistency, except for
  changes to Makefiles

* Thu Jan 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.41, backing out patches that are now in mainline source

* Sat Sep 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved the speed up dialing patch
- improved the inheritance patch

* Fri Sep 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- added explicit inheritance to wvdial.conf
- speed up dialing

* Mon Sep 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved the chat mode fix to allow specifying the remotename
  so that multiple wvdial instances can't step on each other.

* Fri Sep 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- chat mode fix to make CHAP/PAP work with chat mode

* Mon Aug 02 1999 Michael K. Johnson <johnsonm@redhat.com>
- Packaged 1.40

* Wed Jul 28 1999 Michael K. Johnson <johnsonm@redhat.com>
- Initial Red Hat package

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
